tigase.jaxmpp.core.client.xmpp.modules

## Interface ModuleProvider

- All Known Implementing Classes:
    XmppModulesManager

      public interface ModuleProvider

  Author:
    andrzej

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getAvailableFeatures()`
    `<T extends XmppModule> T` | `getModule(Class<T> moduleClass)` Return module implementation by module class.

- - ### Method Detail

    - #### getAvailableFeatures

          Set<String> getAvailableFeatures()

    - #### getModule

          <T extends XmppModule> T getModule(Class<T> moduleClass)

      Return module implementation by module class.
      Parameters:
        `moduleClass` - module class
      Returns:
        module implementation

Copyright © 2006–2020 Tigase. All rights reserved.